[ Identification | Description | Input parameters | Output parameters | Links ]

# The `Source_simple` Component

A circular neutron source with flat energy spectrum and arbitrary flux

## Identification

- Author: Kim Lefmann
- Origin: Risoe
- Date: October 30, 1997
- Version: 1.5
- Modification history:
  - KL, October 4, 2001
  - Emmanuel Farhi, October 30, 2001. Serious bug corrected.

## Description

    The routine is a circular neutron source, which aims at a square target
    centered at the beam (in order to improve MC-acceptance rate).  The angular
    divergence is then given by the dimensions of the target.
    The neutron energy is uniformly distributed between E0-dE and E0+dE.

    This component replaces Source_flat, Source_flat_lambda,
    Source_flux and Source_flux_lambda.

    Example: Source_simple(radius=0.1, dist=2, xw=.1, yh=.1, E0=14, dE=2)

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
radius | m | Radius of circle in (x,y,0) plane where neutrons are generated. |
dist | m | Distance to target along z axis. |
xw | m | Width(x) of target |
yh | m | Height(y) of target |
E0 | meV | Mean energy of neutrons. | 0
dE | meV | Energy spread of neutrons. | 0
Lambda0 | AA | Mean wavelength of neutrons. | 0
dLambda | AA | Wavelength spread of neutrons. | 0
flux | 1/(s*cm**2*st) | Energy integrated flux | 1

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
pmul |  |  |

## Links

- Source code for `Source_simple.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]